## Turn off meaningless jar repackaging on SL6
%define __jar_repack 0

Name: argus-pdp-pep-common

Version: 1.4.0
Release: 2%{?dist}
Summary: Argus PDP and PEP Server shared library (internal)

Group: System Environment/Libraries
License: ASL 2.0
URL: https://twiki.cern.ch/twiki/bin/view/EGEE/AuthorizationFramework

Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

BuildRequires: java-devel
BuildRequires: maven

Requires: java
Requires: canl-java

%description 
Argus PDP and PEP Server shared library.
The Argus Authorization Service renders consistent authorization 
decisions for distributed services (e.g., user interfaces, 
portals, computing elements, storage elements). The service is 
based on the XACML standard, and uses authorization policies to 
determine if a user is allowed or denied to perform a certain 
action on a particular service.

%prep
%setup -q

%build
export JAVA_HOME=/usr/lib/jvm/java
make package

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_datadir}/java
%{_datadir}/java/%{name}.jar
%{_datadir}/java/%{name}-%{version}.jar
%doc README.md doc/RELEASE-NOTES doc/COPYRIGHT doc/LICENSE

%changelog
* Tue Jan 29 2013 Valery Tschopp <valery.tschopp@switch.ch> 1.4.0-2 
- Upstream version 1.4.0 for EMI-3 (RC2)

* Thu Nov 18 2012 Valery Tschopp <valery.tschopp@switch.ch> 1.4.0-1 
- Upstream version 1.4.0 for EMI-3 (RC1).

* Tue Jul 31 2012 Valery Tschopp <valery.tschopp@switch.ch> 1.3.2-1
- Self managed packaging with spec file.

* Tue Apr 3 2012 Valery Tschopp <valery.tschopp@switch.ch> 1.3.1-1
- Initial PDP and PEP Server common library for EMI 2.


